<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty strip_tags modifier plugin
 *
 * Type:     modifier<br>
 * Name:     strip_tags<br>
 * Purpose:  strip html tags from text
 * @link http://smarty.php.net/manual/en/language.modifier.strip.tags.php
 *          strip_tags (Smarty online manual)
 * @author   Monte Ohrt <monte at ohrt dot com>
 * @param string
 * @param boolean
 * @return string
 */
function smarty_modifier_strip_tags($string, $replace_with_space = true, $with_text = false, $exclude = '' )
{
    if ($replace_with_space && !$with_text)
        return preg_replace('!<[^>]*?>!', ' ', $string);
    else if($replace_with_space && $with_text){
        $string = preg_replace('~(?<=[>])[^<>]+(?=[<])~', '', $string);
        $string = preg_replace('~<[^>]*?>~', ' ', $string);
        return preg_replace('~\s\s+~', ' ', $string);
    }
    else {
        return strip_tags($string, $exlude);
    }
}

/* vim: set expandtab: */

?>
